summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xbin/reproducible_setup_pbuilder.sh9
1 files changed, 7 insertions, 2 deletions
diff --git a/bin/reproducible_setup_pbuilder.sh b/bin/reproducible_setup_pbuilder.sh
index 27834805..23a6cf67 100755
--- a/bin/reproducible_setup_pbuilder.sh
+++ b/bin/reproducible_setup_pbuilder.sh
@@ -162,8 +162,13 @@ STAMP=/var/log/jenkins/$SUITE-reproducible-base.tgz.stamp
if [ -f "$STAMP" ] ; then
if [ -f "$STAMP" -a $(stat -c %Y "$STAMP") -gt $(date +%s) ]; then
- echo "stamp file has a timestamp from the future."
- exit 1
+ if [ $(stat -c %Y "$STAMP") -gt $(date +%s -d "+ 6 months")] then
+ echo "Warning: stamp file is too far in the future, assuming something is wrong and deleting it"
+ rm -v "$STAMP"
+ else
+ echo "stamp file has a timestamp from the future."
+ exit 1
+ fi
fi
fi